org.apache.fop.render.pdf.pdfbox

## Class FOPPDFSingleByteFont

- java.lang.Object
- - org.apache.fop.fonts.Typeface
  - - org.apache.fop.fonts.CustomFont
    - - org.apache.fop.fonts.SingleByteFont
      - - org.apache.fop.render.pdf.pdfbox.FOPPDFSingleByteFont

- All Implemented Interfaces:
    org.apache.fop.fonts.FontDescriptor, org.apache.fop.fonts.FontMetrics, org.apache.fop.fonts.MutableFont

      public class FOPPDFSingleByteFont
      extends org.apache.fop.fonts.SingleByteFont

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.fop.fonts.SingleByteFont

      `org.apache.fop.fonts.SingleByteFont.UnencodedCharacter`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.util.Map<java.lang.String,java.lang.Integer>` | `charMapGlobal`
    `protected org.apache.fop.pdf.PDFDictionary` | `ref`

    - ### Fields inherited from class org.apache.fop.fonts.SingleByteFont

      `mapping, width`

    - ### Fields inherited from class org.apache.fop.fonts.CustomFont

      `additionalEncodings, cmap, svgs, unencodedCharacters`

    - ### Fields inherited from class org.apache.fop.fonts.Typeface

      `eventListener, NOT_FOUND`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FOPPDFSingleByteFont(org.apache.pdfbox.cos.COSDictionary fontData, java.lang.String name)`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `addFont(org.apache.pdfbox.cos.COSDictionary fontData)`
    `java.lang.String` | `getEmbedFontName()`
    `java.lang.String` | `getEncodingName()`
    `protected FontContainer` | `getFont(org.apache.pdfbox.cos.COSDictionary fontData)`
    `java.lang.String` | `getFontName()`
    `java.io.InputStream` | `getInputStream()`
    `java.lang.String` | `getMappedWord(java.util.List<java.lang.String> word, byte[] bytes, FontContainer oldFont)`
    `org.apache.fop.pdf.PDFDictionary` | `getRef()`
    `int[]` | `getWidths()`
    `boolean` | `hasChar(char c)`
    `boolean` | `isEmbeddable()`
    `boolean` | `isSymbolicFont()`
    `char` | `mapChar(char c)`
    `void` | `setRef(org.apache.fop.pdf.PDFDictionary d)`
    `int` | `size()`

    - ### Methods inherited from class org.apache.fop.fonts.SingleByteFont

      `addUnencodedCharacter, encodeAllUnencodedCharacters, getAdditionalWidths, getBoundingBox, getEncoding, getGIDFromChar, getGlyphName, getTrueTypePostScriptVersion, getUnicodeFromGID, getUnicodeFromSelector, getUsedGlyphNames, getUsedGlyphs, getWidth, isSubsetEmbedded, isUsingNativeEncoding, mapUsedGlyphName, setBoundingBox, setEncoding, setEncoding, setTrueTypePostScriptVersion, setUseNativeEncoding, setWidth, updateMapping`

    - ### Methods inherited from class org.apache.fop.fonts.CustomFont

      `getAdditionalEncoding, getAdditionalEncodingCount, getAscender, getAscender, getCapHeight, getCapHeight, getCMap, getDescender, getDescender, getEmbeddingMode, getEmbedFileURI, getEmbedResourceName, getFamilyNames, getFirstChar, getFlags, getFontBBox, getFontName, getFontSubName, getFontType, getFontURI, getFullName, getItalicAngle, getKerningInfo, getLastChar, getMissingWidth, getSimulateStyle, getStemV, getStrikeoutPosition, getStrikeoutThickness, getStrippedFontName, getUnderlinePosition, getUnderlineThickness, getWeight, getXHeight, hasAdditionalEncodings, hasKerningInfo, hasSVG, isAdvancedEnabled, isKerningEnabled, mapUnencodedChar, putKerningEntry, replaceKerningMap, setAdvancedEnabled, setAscender, setCapHeight, setCMap, setDescender, setEmbeddingMode, setEmbedResourceName, setEmbedURI, setFamilyNames, setFirstChar, setFlags, setFontBBox, setFontName, setFontSubFamilyName, setFontType, setFontURI, setFullName, setItalicAngle, setKerningEnabled, setLastChar, setMissingWidth, setSimulateStyle, setStemV, setStrikeoutPosition, setStrikeoutThickness, setSVG, setUnderlinePosition, setUnderlineThickness, setWeight, setXHeight`

    - ### Methods inherited from class org.apache.fop.fonts.Typeface

      `getMaxAscent, hadMappingOperations, hasFeature, isCID, isMultiByte, notifyMapOperation, setEventListener, toString, warnMissingGlyph`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.fop.fonts.FontMetrics

      `getMaxAscent, hasFeature, isMultiByte`

- - ### Field Detail

    - #### ref

          protected org.apache.fop.pdf.PDFDictionary ref

    - #### charMapGlobal

          protected java.util.Map<java.lang.String,java.lang.Integer> charMapGlobal

  - ### Constructor Detail

    - #### FOPPDFSingleByteFont

          public FOPPDFSingleByteFont(org.apache.pdfbox.cos.COSDictionary fontData,
                                      java.lang.String name)
                               throws java.io.IOException

      Throws:
        `java.io.IOException`

  - ### Method Detail

    - #### hasChar

          public boolean hasChar(char c)

      Overrides:
        `hasChar` in class `org.apache.fop.fonts.SingleByteFont`

    - #### mapChar

          public char mapChar(char c)

      Overrides:
        `mapChar` in class `org.apache.fop.fonts.SingleByteFont`

    - #### getEmbedFontName

          public java.lang.String getEmbedFontName()

      Specified by:
        `getEmbedFontName` in interface `org.apache.fop.fonts.FontMetrics`
      Overrides:
        `getEmbedFontName` in class `org.apache.fop.fonts.CustomFont`

    - #### getWidths

          public int[] getWidths()

      Specified by:
        `getWidths` in interface `org.apache.fop.fonts.FontMetrics`
      Overrides:
        `getWidths` in class `org.apache.fop.fonts.SingleByteFont`

    - #### addFont

          public java.lang.String addFont(org.apache.pdfbox.cos.COSDictionary fontData)
                                   throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### size

          public int size()

    - #### getEncodingName

          public java.lang.String getEncodingName()

      Overrides:
        `getEncodingName` in class `org.apache.fop.fonts.SingleByteFont`

    - #### getRef

          public org.apache.fop.pdf.PDFDictionary getRef()

    - #### setRef

          public void setRef(org.apache.fop.pdf.PDFDictionary d)

    - #### isEmbeddable

          public boolean isEmbeddable()

      Specified by:
        `isEmbeddable` in interface `org.apache.fop.fonts.FontDescriptor`
      Overrides:
        `isEmbeddable` in class `org.apache.fop.fonts.SingleByteFont`

    - #### isSymbolicFont

          public boolean isSymbolicFont()

      Specified by:
        `isSymbolicFont` in interface `org.apache.fop.fonts.FontDescriptor`
      Overrides:
        `isSymbolicFont` in class `org.apache.fop.fonts.CustomFont`

    - #### getInputStream

          public java.io.InputStream getInputStream()
                                             throws java.io.IOException

      Overrides:
        `getInputStream` in class `org.apache.fop.fonts.CustomFont`
      Throws:
        `java.io.IOException`

    - #### getFont

          protected FontContainer getFont(org.apache.pdfbox.cos.COSDictionary fontData)
                                   throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### getMappedWord

          public java.lang.String getMappedWord(java.util.List<java.lang.String> word,
                                                byte[] bytes,
                                                FontContainer oldFont)

    - #### getFontName

          public java.lang.String getFontName()

Copyright 2007-2025 The Apache Software Foundation. All Rights Reserved.